Ошибка 1C «Требуется MS SQL Server 6.5 + Service Pack 5a или более»

1c7

Проблема: Ошибка «Требуется MS SQL Server 6.5 + Service Pack 5a или более» появляется при попытке подключить 1cv77 к MS SQL2005/2008 на Windows Server 2003.(И да windows server 2003 все ещё жив, поскольку 1с7 может работать нормально только на xp/2003.)
Решение: Для исправления нужно найти файл BkEnd.dll для 27 релиза платформы в каталоге с установленной 1с, открыть HEX-редактором и изменить:

- по смещению 000D9CCA значение 83 меняем на EB
- по смещению 000D9CCB значение E8 меняем на 15
- по смещению 000DB130 значение 83 меняем на EB
- по смещению 000DB131 значение E8 меняем на 10

Добавить комментарий

Ваш e-mail не будет опубликован. Обязательные поля помечены *

*

code